# compatability macros
#%{?!mkrel:%define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*)(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%{?!_with_unstable: %{error:%(echo -e "\n\n\nYou are building package for a stable release, please see \nhttp://qa.mandrakesoft.com/twiki/bin/view/Main/DistroSpecificReleaseTag\nif you think this is incorrect\n\n\n ")}%(sleep 2)}

%define name shorewall
%define version_major 3.2
%define version_minor 3
%define version %{version_major}.%{version_minor}
%define release %mkrel 2
%define ftp_path ftp://ftp.shorewall.net/pub/shorewall/%{version_major}/%{name}-%{version}

Summary: Shoreline Firewall is an iptables-based firewall for Linux systems
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %ftp_path/%{name}-%{version}.tar.bz2
# %ftp_path/%{version}.sha1sums
Source2: shorewall-%{version}.sha1sums
Source3: %{name}-init.sh.bz2
Source4: %ftp_path/%{name}-docs-html-%{version}.tar.bz2
# %{ftp_path}/errata/firewall
# Source11: shorewall-firewall
License: GPL
Group: System/Servers
URL: http://www.shorewall.net/
BuildArch: noarch
Requires: iptables
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
The Shoreline Firewall, more commonly known as "Shorewall", is a Netfilter
(iptables) based firewall that can be used on a dedicated firewall system,
a multi-function gateway/ router/server or on a standalone GNU/Linux system.

%package doc
Summary:  Firewall scripts
Group:    System/Servers

%description doc 
The Shoreline Firewall, more commonly known as "Shorewall", is a Netfilter
(iptables) based firewall that can be used on a dedicated firewall system,
a multi-function gateway/ router/server or on a standalone GNU/Linux system.

This package contains the docs.

%prep
%setup -q -n %{name}-%{version}

bzcat %SOURCE3 > $RPM_BUILD_DIR/%{name}-%{version}/init.sh
tar xjf %SOURCE4

# (blino) enable startup (new setting as of 2.1.3)
perl -pi -e 's/STARTUP_ENABLED=.*/STARTUP_ENABLED=Yes/' %{name}.conf
# Keep synced with net.ipv4.ip_forward var in /etc/sysctl.conf
perl -pi -e 's/IP_FORWARDING=.*/IP_FORWARDING=Keep/' %{name}.conf
# blank Internal option 
#perl -pi -e 's/TC_ENABLED=Internal/TC_ENABLED=/' %{name}.conf

mv -f $RPM_BUILD_DIR/%{name}-%{version}/shorewall-docs-html-%{version} $RPM_BUILD_DIR/%{name}-%{version}/documentation

%build
find -name CVS -exec rm -fr {} \;
find -name "*~" -exec rm -rf {} \;
find documentation/ -type f -exec chmod 0644 {} \;

%install
rm -rf %{buildroot}
export PREFIX=%{buildroot}
export OWNER=`id -n -u`
export GROUP=`id -n -g`
./install.sh 

#install -m544 %SOURCE11 %{buildroot}%{_datadir}/%{name}/firewall

# Suppress automatic replacement of "echo" by "gprintf" in the shorewall
# startup script by RPM. This automatic replacement is broken.
export DONT_GPRINTIFY=1

install -d -m 0755 $RPM_BUILD_ROOT/%{_initrddir}
mv -f $RPM_BUILD_ROOT/etc/init.d/shorewall $RPM_BUILD_ROOT/%{_initrddir}/shorewall


%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service shorewall

%preun
%_preun_service shorewall
if [ $1 = 0 ] ; then
  %{__rm} -f %{_sysconfdir}/%{name}/startup_disabled
  %{__rm} -f %{_var}/lib/%{name}/*
fi

%files
%defattr(-,root,root)
%doc %attr(-,root,root) COPYING INSTALL changelog.txt releasenotes.txt tunnel ipsecvpn Samples
%attr(700,root,root) %dir /etc/shorewall
%attr(750,root,root) %{_initrddir}/shorewall

%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}/*
%attr(0640,root,root) %{_datadir}/%{name}/*
%attr(0700,root,root) %dir %{_var}/lib/%{name}
%attr(540,root,root) /sbin/shorewall

%files doc 
%doc %attr(-,root,root) documentation/*

%changelog
* Wed Aug 30 2006 Olivier Blin <blino@mandriva.com> 3.2.3-2mdv2007.0
- fix typo in changelog

* Wed Aug 30 2006 Olivier Blin <blino@mandriva.com> 3.2.3-1mdv2007.0
- 3.2.3 (this closes #24157)

* Sat Jul 22 2006 Olivier Blin <blino@mandriva.com> 3.2.1-1mdv2007.0
- 3.2.1
- drop bogons file ('nobogons' options has been eliminated in 3.0.0)

* Mon Jan 23 2006 Daouda LO <daouda@mandriva.com> 3.0.4-1mdk
- 3.0.4
- console friendly again (Tuomo Soini)

* Mon Dec 26 2005 Daouda LO <daouda@mandriva.com> 3.0.3-1mdk
- 3.0.3

* Wed Nov 30 2005 Daouda LO <daouda@mandriva.com> 3.0.2-1mdk
- 3.0.2

* Thu Nov 24 2005 Daouda LO <daouda@mandriva.com> 3.0.1-1mdk
- 3.0.1
- add Samples 
- cleanup spec
- Read The http://shorewall.net/pub/shorewall/3.0/shorewall-3.0.1/releasenotes.txt
  o Thu Nov 17 2005 Nicolas CHIPAUX <chipaux@mandriva.com> 3.0.0-1mdk
	- new version
    - cleaning spec
    - "clear" option in initscript is back
    - info about migration from 2.x to 3.x

* Thu Jul 21 2005 Daouda LO <daouda@mandrakesoft.com> 2.4.1-3mdk
- initscript priority from 25 to 10 (Michael Reinsch)
- refreshed link to firewall script (Oblin)

* Mon Jul 18 2005 Olivier Blin <oblin@mandriva.com> 2.4.1-2mdk
- enable shorewall startup

* Mon Jul 18 2005 Daouda LO <daouda@mandrakesoft.com> 2.4.1-1mdk
- Fix for security vulnerability in MACLIST processing
- Support for multiple internet interfaces to different ISPs
- Support for ipset
- updated firewall script and bogons list 
- back to shorewall genuine initscipt

* Sun Jul 10 2005 Olivier Blin <oblin@mandriva.com> 2.0.8-3mdk
- fix typo in init script to have chkconfig working again (#16657)

* Fri Apr 01 2005 Luca Berra <bluca@vodka.it> 2.0.8-2mdk
- use %%mkrel macro
- update firewall script from shorewall errata
- update bogons file from shorewall errata

* Wed Aug 25 2004 Florin <florin@mandrakesoft.com> 2.0.8-1mdk
- 2.0.8

* Wed Aug 04 2004 Florin <florin@mandrakesoft.com> 2.0.7-1mdk
- 2.0.7

* Tue Jun 29 2004 Florin <florin@mandrakesoft.com> 2.0.3a-1mdk
- 2.0.3a
- security update

* Thu Jun 24 2004 Florin <florin@mandrakesoft.com> 2.0.3-1mdk
- 2.0.3

* Sat Jun 12 2004 Florin <florin@mandrakesoft.com> 2.0.2f-1mdk
- 2.0.2f
- add the docs source
- remove the already present bogons and rf1918 files

* Wed Jun 02 2004 Florin <florin@mandrakesoft.com> 2.0.2d-1mdk
- 2.0.2d

* Mon May 17 2004 Florin <florin@mandrakesoft.com> 2.0.2a-1mdk
- 2.0.2a
- add the initdone file

* Thu May 13 2004 Florin <florin@mandrakesoft.com> 2.0.2-0.RC1.1mdk
- 2.0.2-RC1
- remove the already intergrated kernel-suffix patch

* Wed Apr 21 2004 Florin <florin@mandrakesoft.com> 2.0.1-3mdk
- add the bogons and rf1918 sources (thx to T. Backlund)

* Mon Apr 19 2004 Florin <florin@mandrakesoft.com> 2.0.1-2mdk
- add the kernel modules extension patch (bug #9311)
- the same patch fixes the Mandrake broken insmod (uses modprobe instead)

* Mon Apr 19 2004 Florin <florin@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1
- samples 2.0.1
- add the netmap file

* Wed Mar 24 2004 Florin <florin@mandrakesoft.com> 2.0.0b-1mdk
- 2.0.0b

* Sat Mar 20 2004 Florin <florin@mandrakesoft.com> 2.0.0a-1mdk
- 2.0.0a
- samples 2.0.0

* Tue Dec 02 2003 Florin <florin@mandrakesoft.com> 1.4.8-3mdk
- check before start/restart in the initscript to avoid remote
connection loss
- iptables and shorewall have the same chkconfig entries

* Tue Nov 18 2003 Florin <florin@mandrakesoft.com> 1.4.8-2mdk
- rebuild

* Wed Nov 12 2003 Florin <florin@mandrakesoft.com> 1.4.8-1mdk
- 1.4.8
- samples 1.4.8

* Sun Nov 02 2003 Florin <florin@mandrakesoft.com> 1.4.8-0.RC2.1mdk
- 1.4.8-RC2

* Sun Oct 26 2003 Florin <florin@mandrakesoft.com> 1.4.7c-1mdk
- 1.4.7c

* Sat Oct 25 2003 Florin <florin@mandrakesoft.com> 1.4.7b-1mdk
- 1.4.7b

* Tue Oct 07 2003 Florin <florin@mandrakesoft.com> 1.4.7b-1mdk
- 1.4.7 and samples 1.4.7
- add accounting, users and usersets new configuration files

* Mon Sep 08 2003 Florin <florin@mandrakesoft.com> 1.4.6c-2mdk
- replace the stop patch with SOURCE1

* Wed Sep 03 2003 Florin <florin@mandrakesoft.com> 1.4.6c-1mdk
- 1.4.6c

* Thu Aug 07 2003 Florin <florin@mandrakesoft.com> 1.4.6b-1mdk
- 1.4.6b
- samples 1.4.6

* Mon Jun 23 2003 Florin <florin@mandrakesoft.com> 1.4.5-1mdk
- 1.4.5

* Tue Jun 10 2003 Florin <florin@mandrakesoft.com> 1.4.4-1mdk
- 1.4.4b
- samples 1.4.4

* Fri Apr 25 2003 Florin <florin@mandrakesoft.com> 1.4.2-1mdk
- 1.4.2

* Thu Apr 03 2003 Florin <florin@mandrakesoft.com> 1.4.1a-1mdk
- 1.4.1a
- 1.4.0 samples version
- icmp.def has been removed
- _libdir files are now in _datadir
- ecn is the new file

* Fri Feb 21 2003 Florin <florin@mandrakesoft.com> 1.3.14-3mdk
- use simplified initscript
- stop acts as clear
- stop-> rstopped

* Thu Feb 20 2003 Florin <florin@mandrakesoft.com> 1.3.14-2mdk
- really fix chkconfig

* Mon Feb 17 2003 Florin <florin@mandrakesoft.com> 1.3.14-1mdk
- 1.3.14
- fix the chkconfig part 

* Tue Jan 21 2003 Florin <florin@mandrakesoft.com> 1.3.13-1mdk
- 1.3.13
- samples 1.3.12

* Fri Jan 10 2003 Florin <florin@mandrakesoft.com> 1.3.12-1mdk
- 1.3.12
- add missing files

* Fri Nov 29 2002 Florin <florin@mandrakesoft.com> 1.3.11-1mdk
- 1.3.11
- samples-1.3.11

* Fri Nov 22 2002 Florin <florin@mandrakesoft.com> 1.3.10-1mdk
- 1.3.10
- samples-1.3.10
- add the forgotten maclist
- add PreReq on rpm-helper
- remove some weird config(noreplace)s

* Mon Oct 28 2002 Florin <florin@mandrakesoft.com> 1.3.9b-4mdk
- use the post|preun_service macros

* Thu Oct 24 2002 Florin <florin@mandrakesoft.com> 1.3.9b-3mdk
- remove the chkconfig add in post

* Tue Oct 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.9b-2mdk
- fix cvs-internal-file
- fix %%preun

* Tue Oct 15 2002 Florin <florin@mandrakesoft.com> 1.3.9b-1mdk
- 1.3.9b
- 1.3.9 samples 

* Mon Oct 7 2002 Florin <florin@mandrakesoft.com> 1.3.9a-1mdk
- 1.3.9a
- _libdir instead of /var/lib

* Tue Sep 10 2002 Florin <florin@mandrakesoft.com> 1.3.7c-1mdk
- 1.3.7c fixes a DNAT bug
- clear the rules in preun (thx to aginies)

* Wed Aug 28 2002 Florin <florin@mandrakesoft.com> 1.3.7b-2mdk
- split the docs in a special package

* Tue Aug 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.7b-1mdk
- new version
- ditch P0
- samples_version is 1.3.7, not 1.3.7a

* Mon Aug 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.7a-2mdk
- update the firewall script (P0)
- misc spec file fixes
 
* Fri Aug 23 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.7a-1mdk
- new version

* Thu Aug 01 2002 Florin <florin@mandrakesoft.com> 1.3.5b-2mdk
- update the URL
- add the md5sums
- update the description

* Thu Aug 01 2002 Florin <florin@mandrakesoft.com> 1.3.5b-1mdk
- 1.3.5b
- remove the useless so-called comptability with SNF

* Tue Jul 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.4-1mdk
- new version
- misc spec file fixes

* Mon Jun 10 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.1-1mdk
- new version

* Fri May 17 2002 Florin <florin@mandrakesoft.com> 1.2.13-1mdk
- 1.2.13

* Fri May 03 2002 Florin <florin@mandrakesoft.com> 1.2.12-1mdk
- 1.2.12
- samples 1.2.1

* Tue Apr 09 2002 Florin <florin@mandrakesoft.com> 1.2.10-1mdk
- 1.2.10

* Mon Mar 11 2002 Florin <florin@mandrakesoft.com> 1.2.9-1mdk
- shorewall 1.2.9
- samples 1.2.1
- fiw some doc files permissions

* Wed Feb 20 2002 Florin <florin@mandrakesoft.com> 1.2.6-2mdk
- add misc, pptp and cbq examples in samples archive

* Tue Feb 12 2002 Florin <florin@mandrakesoft.com> 1.2.6-1mdk
- 1.2.6
- use the install.sh script
- move shorewall to /sbin
- add conflicts to the kernel <= 2.2

* Tue Jan 22 2002 Florin <florin@mandrakesoft.com> 1.2.3-2mdk
- fix the ADSL entry in description (thx to Y.Duret)

* Tue Jan 22 2002 Florin <florin@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3

* Thu Jan 10 2002 Florin <florin@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2
- 1.2.0 samples version
- add the /%{_sysconfdir}/%{name}/{blacklist,tcrules} files
- fix some rpmlint errors

* Mon Dec 31 2001 Florin <florin@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0
- update the samples files

* Tue Dec 18 2001 Florin <florin@mandrakesoft.com> 1.1.18-2mdk
- add the original sample files
- use the ftp_path macro
- forbid the echo/gprintf substitution in the initscript
- fix the docs permissions

* Mon Dec 17 2001 Florin <florin@mandrakesoft.com> 1.1.18-1mdk
- 1.1.18

* Thu Oct 11 2001 Florin <florin@mandrakesoft.com> 1.1.13-3mdk
- add the /etc/shorewall/params file

* Wed Sep 26 2001 Florin <florin@mandrakesoft.com> 1.1.13-2mdk
- fix a typo in description (thx to Alvaro Herrera)

* Mon Sep 24 2001 Florin <florin@mandrakesoft.com> 1.1.13-1mdk
- 1.1.13

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.12-1mdk
- rebuild

* Wed Aug  1 2001 Sylvain de Tilly <sdetilly@ke.mandrakesoft.com> 1.1.10-1mdk
- Transforme original spec file to Mandrake's spec file

* Fri Jul 06 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 10
* Tue Jun 19 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 9
- Added tunnel file
- Readded tunnels file
* Mon Jun 18 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 8
* Sat Jun 02 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 7
- Changed iptables dependency.
* Tue May 22 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 6
- Added tunnels file
* Sat May 19 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 5
- Added modules and tos files
* Sat May 12 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 4
- Added changelog.txt and releasenotes.txt
* Sat Apr 28 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 3
* Mon Apr 9 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Added files common.def and icmpdef.def
- Changed release to 2
* Wed Apr 4 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed the release to 1.
* Mon Mar 26 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Changed the version to 1.1
- Added hosts file
* Sun Mar 18 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Changed the release to 4
- Added Zones and Functions files
* Mon Mar 12 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change ipchains dependency to an iptables dependency and 
  changed the release to 3
* Fri Mar 9 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Add additional files.
* Thu Mar 8 2001 Tom EAstep <teastep@seattlefirewall.dyndns.org>
- Change version to 1.0.2
* Tue Mar 6 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change version to 1.0.1
* Sun Mar 4 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Changes for Shorewall
* Thu Feb 22 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change version to 4.1.0
* Fri Feb 2 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change version to 4.0.4
* Mon Jan 22 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change version to 4.0.2
* Sat Jan 20 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Changed version to 4.0
* Fri Jan 5 2001 Tom Eastep <teastep@evergo.net>
- Added dmzclients file
* Sun Dec 24 2000 Tom Eastep <teastep@evergo.net>
- Added ftpserver file
* Sat Aug 12 2000 Tom Eastep <teastep@evergo.net>
- Added "nat" and "proxyarp" files for 4.0
* Mon May 20 2000 Tom Eastep <teastep@evergo.net>
- added updown file
* Sat May 20 2000 Simon Piette <spiette@generation.net>
- Corrected the group - Networking/Utilities
- Added "noreplace" attributes to config files, so current confis is not
  changed.
- Added the version file.
* Sat May 20 2000 Tom Eastep <teastep@evergo.net>
- Converted Simon's patch to version 3.1
* Sat May 20 2000 Simon Piette <spiette@generation.net>
- 3.0.2 Initial RPM
  Patched the install script so it can take a PREFIX variable
